package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.DistrictCounty;
import com.lightinit.hsdatashow.entity.DistrictCountyExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DistrictCountyMapper {
    long countByExample(DistrictCountyExample example);

    int deleteByExample(DistrictCountyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DistrictCounty record);

    int insertSelective(DistrictCounty record);

    List<DistrictCounty> selectByExample(DistrictCountyExample example);

    DistrictCounty selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DistrictCounty record, @Param("example") DistrictCountyExample example);

    int updateByExample(@Param("record") DistrictCounty record, @Param("example") DistrictCountyExample example);

    int updateByPrimaryKeySelective(DistrictCounty record);

    int updateByPrimaryKey(DistrictCounty record);

    List<DistrictCounty> getDistrictCounty();
}